Loading...
Searching...
No Matches
pdftron::PDF::WordToPDFOptions Class Reference

`#include <WordToPDFOptions.h>`

Inheritance diagram for pdftron::PDF::WordToPDFOptions:

## Public Member Functions
| WordToPDFOptions ()
| ~WordToPDFOptions ()
UString | GetLayoutResourcesPluginPath ()
WordToPDFOptions & | SetLayoutResourcesPluginPath (UString value)
UString | GetResourceDocPath ()
WordToPDFOptions & | SetResourceDocPath (UString value)
UString | GetSmartSubstitutionPluginPath ()
WordToPDFOptions & | SetSmartSubstitutionPluginPath (UString value)

## Detailed Description

Definition at line 9 of file WordToPDFOptions.h.

## Constructor & Destructor Documentation

## ◆ WordToPDFOptions()

pdftron::PDF::WordToPDFOptions::WordToPDFOptions | ( |  | ) |

## ◆ ~WordToPDFOptions()

pdftron::PDF::WordToPDFOptions::~WordToPDFOptions | ( |  | ) |

## Member Function Documentation

## ◆ GetLayoutResourcesPluginPath()

UString pdftron::PDF::WordToPDFOptions::GetLayoutResourcesPluginPath | ( |  | ) |

Gets the value LayoutResourcesPluginPath from the options object The path at which the pdftron-provided font resource plugin resides

Returns
  a UString, The path at which the pdftron-provided font resource plugin resides.

## ◆ GetResourceDocPath()

UString pdftron::PDF::WordToPDFOptions::GetResourceDocPath | ( |  | ) |

Gets the value ResourceDocPath from the options object The path at which the a .docx resource document resides

Returns
  a UString, The path at which the a .docx resource document resides.

## ◆ GetSmartSubstitutionPluginPath()

UString pdftron::PDF::WordToPDFOptions::GetSmartSubstitutionPluginPath | ( |  | ) |

Gets the value SmartSubstitutionPluginPath from the options object The path at which the pdftron-provided font resource plugin resides

Returns
  a UString, The path at which the pdftron-provided font resource plugin resides.

## ◆ SetLayoutResourcesPluginPath()

WordToPDFOptions & pdftron::PDF::WordToPDFOptions::SetLayoutResourcesPluginPath | ( | UString | value | ) |

Sets the value for LayoutResourcesPluginPath in the options object The path at which the pdftron-provided font resource plugin resides

Parameters

  value | The path at which the pdftron-provided font resource plugin resides

Returns
  this object, for call chaining

## ◆ SetResourceDocPath()

WordToPDFOptions & pdftron::PDF::WordToPDFOptions::SetResourceDocPath | ( | UString | value | ) |

Sets the value for ResourceDocPath in the options object The path at which the a .docx resource document resides

Parameters

  value | The path at which the a .docx resource document resides

Returns
  this object, for call chaining

## ◆ SetSmartSubstitutionPluginPath()

WordToPDFOptions & pdftron::PDF::WordToPDFOptions::SetSmartSubstitutionPluginPath | ( | UString | value | ) |

Sets the value for SmartSubstitutionPluginPath in the options object The path at which the pdftron-provided font resource plugin resides

Parameters

  value | The path at which the pdftron-provided font resource plugin resides

Returns
  this object, for call chaining

The documentation for this class was generated from the following file:

- PDF/WordToPDFOptions.h